//CShadowRenderShader - [2020-04-13 11:57:47]
#ifndef _CSHADOWRENDERSHADER_H_
#define _CSHADOWRENDERSHADER_H_

#include "common.h"
#include "CFTTUberShader.h"

/*
001D12D0 CShadowRenderShader::CShadowRenderShader()
001D12DC CShadowRenderShader::~CShadowRenderShader()
001C5438 CShadowRenderShader::SetTex01(CFTTTexParam aTexParams)
001C544C CShadowRenderShader::SetOffsetSize(float f)
001D12E0 CShadowRenderShader::CreateMat()
*/

class CShadowRenderShader : public CFTTUberShader {
public:
  CShadowRenderShader();                   //001D12D0
  ~CShadowRenderShader();                  //001D12DC
  void SetTex01(CFTTTexParam aTexParams);  //001C5438
  void SetOffsetSize(float f);             //001C544C
  short CreateMat();                       //001D12E0
};

#endif  //_CSHADOWRENDERSHADER_H_